/*
  /rakurakucloud/denshihozon/asset/css/page/p-seminar-fv.css
  seminarページFV＋次セクション用CSS
*/

.p-seminar-anchor-list {
  display: flex;
  justify-content: center;
  gap: 20px;
  @media screen and (max-width: 840px) {
    margin: 0 20px;
  }
  @media screen and (max-width: 600px) {
    padding: 0 20px;
    flex-direction: column;
    gap: 15px;
  }
}
.p-seminar-anchor-item {
  width: 320px;
  @media screen and (max-width: 840px) {
    width: 50%;
  }
  @media screen and (max-width: 600px) {
    width: 100%;
  }
}
.p-seminar-anchor-item__link {
  position: relative;
  display: grid;
  place-content: center;
  color: #fff;
  background: var(--rdenshihozon-primary);
  border-radius: 10px;
  font-size: 18px;
  font-weight: bold;
  width: 100%;
  height: 66px;
  border: solid 2px var(--rdenshihozon-primary);
  @media screen and (max-width: 600px) {
    height: 54px;
    font-size: 16px;
  }
  &:after {
    content: "";
    position: absolute;
    left: 50%;
    right: 50%;
    bottom: 10px;
    display: block;
    width: 8px;
    height: 8px;
    margin: auto;
    border-top: 2px solid #fff;
    border-right: 2px solid #fff;
    transition: all ease 0.3s;
    transform: translate(-50%, 0) rotate(135deg);
    z-index: 1;
  }
  &:hover {
    background: #fff;
    color: var(--rdenshihozon-primary);
    &:after {
      border-top: 2px solid var(--rdenshihozon-primary);
      border-right: 2px solid var(--rdenshihozon-primary);
    }
  }
}
.p-seminar-anchor-item__text {
  position: relative;
  top: -3px;
  text-align: center;
  line-height: 1.1;
}

/* セミナー一覧*/
.p-seminar {
  .m-lower-index-fv {
    padding: 70px 0;
    @media screen and (max-width: 840px) {
      padding: 50px 0 25px;
    }
  }
}
.l-common-section#seminar-web {
  padding-top: 0;
}
/* セミナー一覧パネル */
.p-seminar-web-list {
  display: grid;
  gap: 20px;
  grid-template-columns: 1fr;
}
.p-seminar-web-item-link {
  display: block;
  overflow: hidden;
  background-color: var(--white);
  border-top: 3px solid var(--rdenshihozon-primary);
  padding: 20px;
  border-radius: 10px;
  transition: all ease 0.3s;
  @media screen and (max-width: 840px) {
    grid-template-columns: 252px 1fr;
  }
  @media screen and (max-width: 600px) {
    display: block;
    width: 100%;
  }
  &:hover {
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.2);
    .p-seminar-web-item-link__cta {
      background-color: var(--white);
      color: var(--rdenshihozon-cta);
      &::before {
        border-top: 2px solid var(--rdenshihozon-cta);
        border-right: 2px solid var(--rdenshihozon-cta);
      }
      .p-seminar-web-item-link__free {
        background-color: var(--rdenshihozon-cta);
        color: var(--white);
      }
    }
  }
}
.p-seminar-web-item-link__content {
  display: grid;
  grid-template-columns: 45% 1fr;
  column-gap: 20px;
  @media screen and (max-width: 600px) {
    display: block;
  }
}
/* 画像グループ */
.p-seminar-web-item-link__image-wrap {
  width: 100%;
  height: auto;
}
/* テキストグループ */
.p-seminar-web-item-link__text {
  display: flex;
  flex-direction: column;
  @media screen and (max-width: 600px) {
    margin: 20px 0 0;
  }
}
.p-seminar-web-item-link__schedule {
  display: grid;
  grid-template-columns: 128px 1fr;
  column-gap: 10px;
  color: var(--black);
  font-weight: bold;
  font-size: 18px;
  align-items: center;
  @media screen and (max-width: 840px) {
    font-size: 14px;
    grid-template-columns: 118px 1fr;
    column-gap: 5px;
  }
}
.p-seminar-web-item-link__label {
  position: relative;
  padding: 0 10px 0 0;
  font-size: 14px;
  height: 100%;
  @media screen and (max-width: 840px) {
    font-size: 14px;
    padding: 0 5px 0 0;
  }
  &::after {
    position: absolute;
    top: 0;
    right: 0;
    content: "";
    background-color: var(--gray-08);
    width: 2px;
    height: 100%;
  }
}
.p-seminar-web-item-link__open {
  display: inline-block;
  background-color: var(--rdenshihozon-accent);
  padding: 5px;
  border-radius: 5px;
  margin: 0 10px 0 0;
  text-align: center;
  width: 66px;
  @media screen and (max-width: 840px) {
    margin: 0 5px 0 0;
  }
}
.p-seminar-web-item-link-title {
  color: var(--black);
  font-weight: bold;
  font-size: 20px;
  margin: 10px 0 0;
  @media screen and (max-width: 840px) {
    font-size: 18px;
  }
  @media screen and (max-width: 600px) {
    font-size: 16px;
  }
}
.p-seminar-web-item-link__location {
  color: var(--black);
  font-weight: bold;
  font-size: 18px;
  margin: 30px 0 0;
  text-align: center;
  @media screen and (max-width: 840px) {
    margin: 20px 0 0;
    font-size: 16px;
  }
  @media screen and (max-width: 600px) {
    font-size: 14px;
  }
}
.p-seminar-web-item-link__location-title {
  position: relative;
  display: inline-block;
  @media screen and (max-width: 840px) {
    font-size: 14px;
  }
  &::after {
    position: absolute;
    top: 0;
    right: -10px;
    content: "";
    background-color: var(--gray-08);
    width: 2px;
    height: 20px;
  }
}
.p-seminar-web-item-link__place {
  display: inline-block;
  color: var(--rdenshihozon-primary);
  margin: 0 0 0 20px;
}
.p-seminar-web-item-link__date {
  display: inline-block;
  color: var(--rdenshihozon-primary);
}
/* cta */
.p-seminar-web-item-link__cta {
  position: relative;
  color: var(--white);
  background-color: var(--rdenshihozon-cta);
  border-radius: 50px;
  padding: 10px 40px 10px 10px;
  text-align: center;
  font-size: 18px;
  font-weight: bold;
  margin: 20px auto 0;
  width: 100%;
  max-width: 300px;
  border: 2px solid var(--rdenshihozon-cta);
  transition: all ease 0.3s;
  @media screen and (max-width: 840px) {
    font-size: 16px;
    padding: 10px 25px 8px 10px;
    margin: 20px auto 0;
  }
  @media screen and (max-width: 600px) {
    font-size: 12px;
  }
  &::before {
    position: absolute;
    z-index: 10;
    display: block;
    content: "";
    width: 8px;
    height: 8px;
    top: calc(50% - 4px);
    right: 20px;
    transform: rotate(45deg);
    transition: all ease 0.3s;
    border-top: 2px solid var(--white);
    border-right: 2px solid var(--white);
    @media screen and (max-width: 840px) {
      right: 15px;
    }
  }
}
.p-seminar-web-item-link__free {
  background-color: var(--white);
  color: var(--rdenshihozon-cta);
  font-size: 14px;
  border-radius: 50px;
  padding: 2px 10px 0;
  margin: 0 10px 0 0;
  @media screen and (max-width: 840px) {
    padding: 2px 5px 0;
    margin: 0 5px 0 0;
  }
  @media screen and (max-width: 600px) {
    font-size: 12px;
  }
}

.p-seminar-web-list--col2 {
  grid-template-columns: repeat(2, 1fr);
}
/* セミナー0件の場合 */
.p-seminar-web__no-data {
  text-align: center;
  padding: 40px 0;
  font-size: 18px;
}

/* アーカイブリンク */
.p-seminar-web-archive {
  max-width: 1100px;
  text-align: right;
  padding: 10px 20px;
  margin: 0 auto;
}
/* アーカイブ一覧 */
.p-seminar-button {
  text-align: center;
  padding: 0 20px;
}
.p-seminar-archive {
  border-bottom: 1px solid var(--gray-bg-01);
  @media screen and (max-width: 600px) {
    overflow-x: auto;
    overflow-y: hidden;
  }
}
.p-seminar-archive-list {
  max-width: 1000px;
  margin: auto;
  display: grid;
  grid-template-columns: repeat(10, 1fr);
  grid-template-rows: 40px;
  column-gap: 10px;

  @media screen and (max-width: 1024px) {
    padding: 0 20px;
  }
  @media screen and (max-width: 840px) {
    width: 100%;
    grid-template-rows: 50px;
    grid-template-columns: repeat(5, 1fr);
  }
  @media screen and (max-width: 600px) {
    grid-auto-flow: column;
    grid-auto-columns: minmax(80px, auto);
    grid-template-columns: unset;
  }
  a {
    color: var(--black);
  }
}
.p-seminar-archive-item {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 14px;
  border-top: 3px solid var(--gray-bg-01);
  background-color: var(--gray-bg-01);
  padding: 10px 5px;
  border-radius: 5px 5px 0 0;
  transition: all ease 0.3s;
  line-height: 1.5;
  @media screen and (max-width: 840px) {
    font-size: 12px;
  }
  &.active {
    position: relative;
    color: var(--rdenshihozon-primary);
    background-color: var(--white);
    border-top: 3px solid var(--rdenshihozon-primary);
    border-right: 1px solid var(--gray-bg-01);
    border-left: 1px solid var(--gray-bg-01);
    font-weight: bold;
    &::after {
      content: "";
      position: absolute;
      left: 0;
      bottom: -1px;
      width: 100%;
      height: 1px;
      background-color: var(--white);
    }
  }
}
.p-seminar-archive-item__link {
  display: block;
  padding: 10px 6px;
}
.p-seminar-link-list {
  font-size: 16px;
}
.p-seminar-link-item {
  border-top: 1px solid var(--gray-bg-01);
  &:last-child {
    border-bottom: 1px solid var(--gray-bg-01);
  }
}
.p-seminar-link-item__text {
  display: block;
  color: var(--black);
  padding: 20px;
  line-height: 1.6;
  transition: all ease 0.3s;
  text-decoration: none;
  @media screen and (max-width: 840px) {
    font-size: 14px;
  }
  &:hover {
    color: var(--rdenshihozon-primary);
  }
}
